After 0.5-52 upgrade, XMR-Stak does not run!

upgrade

#1

Hi;
When i am using XMR-Stak on 0.5.-51 version, there was not any problem but it does not work after upgrade to 0.5-52.
I am getting these errors continuously:

[2018-05-19 06:15:29] : Error CL_INVALID_ARG_INDEX when calling clSetKernelArg for kernel 1, argument 4(input buffer).
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.
[2018-05-19 06:15:29] : Error CL_INVALID_ARG_INDEX when calling clSetKernelArg for kernel 1, argument 4(input buffer).
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.
[2018-05-19 06:15:29] : Error CL_INVALID_ARG_INDEX when calling clSetKernelArg for kernel 1, argument 4(input buffer).
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.
[2018-05-19 06:15:29] : Error CL_INVALID_ARG_INDEX when calling clSetKernelArg for kernel 1, argument 4(input buffer).
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.
[2018-05-19 06:15:29] : Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.


#2

I have same problem after upgrade
i hope can be fixed soon
currenly back to 51 with:

apt-get install -y --allow-downgrades hive=0.5-51

#3

i’m mining cn-heavy coin


#4

The same problem aftrer upgrade. On sumokoin only. AMD RX570


#5

Same problems on RX580 rigs.
Error CL_INVALID_ARG_INDEX when calling clSetKernelArg for kernel 1, argument 4(input buffer).
Error CL_INVALID_KERNEL_ARGS when calling clEnqueueNDRangeKernel for kernel 2.


#6

The same problem XMR STAK GPU aftrer upgrade 0.5-52. On haven. AMD RX570, 470, 480.


#7

Has any1 tried this after a Image upgrade directly to 51 or 52 and got the latest drivers?


#8

Same here, downgraded back to 51 to get it to work… remove this “I NEED MINER” fork… its not reliable


#9

Has any1 tried this after a Image upgrade directly to 51 or 52 and got the latest drivers? = I tried, didnt make a difference with newer Linux Kernel and latest Drivers.


#10

when is fix?


#11

same error here! hash went up 13% but this stupid error… i hope it gets fixed


#12

new release 0.5-53, use Miner fork: fireice-uk in “Wallets” tab. Works fine.


#13

Yes, after the upgrade(0.5-53) there is no problem.
Thanks…


#14

however is it possible to make the indeed for work with Haven? anyone tried? hash is interesting lol


#15

@Florent
It does not make sense to look at the hashrate of the inoperative miner

But yes it’s true windows binary from Indeed miners works fine at cn-heavy


#16

i know but there is a gap between hash of indeed on windows and hash on hive, we need hive to have same perf or better than windows or else it will not push people


#17

Trying to run XMR-STAK or cpu-miner does not work. the configuration file in /hiveos/cpuminer-opt (for example) get touched (date and time changes) but nothing get written to it. If I manually edit the file or cp a correct configfile over cpuminer.conf, it does work. Can you fix this please? I have re-installed with a brand new image and the problem is still there.


#18

@SpriterQC
It’s completely unclear what is at stake, especially in one sentence it once two miners
Can you post your settings for xmr-stak, cpuminer-opt?